Loading...
Searching...
No Matches
casacore::LogIO_global_functions_command Struct Reference
casa package (libcasa_casa) » Logging_module

Functions to send commands to a LogIO object. More...

`#include <LogIO.h>`

## Public Member Functions

LogIO & | operator<< (LogIO &os, LogIO::Command item)
LogIO & | operator<< (LogIO &os, const SourceLocation &item)
LogIO & | operator<< (LogIO &os, const LogOrigin &OR)

## Detailed Description

Functions to send commands to a LogIO object.

The following commands don't change the accumulated message, rather they send commands to the LogIO object, either to:

1. post the current message: os << "message" << LogIO::POST;
2. post the current message and then throw an exception: os << "error" << LogIO::EXCEPTION;
3. Change the priority of the current message: os << LogIO::DEBUGGING;
4. Change the origin of the message:
   os << LogOrigin(...);
   os << WHERE; // Changes only source file/line number
   WHERE
   #define WHERE
   Definition LogOrigin.h:212
   casacore::LogOrigin
   Definition LogOrigin.h:92

Definition at line 274 of file LogIO.h.

## Member Function Documentation

## operator<<() [1/3]

LogIO & casacore::LogIO_global_functions_command::operator<< | ( | LogIO & | os,
|  | const LogOrigin & | OR )

## operator<<() [2/3]

LogIO & casacore::LogIO_global_functions_command::operator<< | ( | LogIO & | os,
|  | const SourceLocation & | item )

## operator<<() [3/3]

LogIO & casacore::LogIO_global_functions_command::operator<< | ( | LogIO & | os,
|  | LogIO::Command | item )

The documentation for this struct was generated from the following file:

- casa/Logging/LogIO.h